import { ComponentInterface } from "../../../stencil-public-runtime";
import { User } from "../../../sdk";
export declare class AppPaymentList implements ComponentInterface {
  filterBarEl: any;
  methodIcons: {
    check: string;
    manual: string;
    card: string;
  };
  payCalculatorModalEl: HTMLIonModalElement;
  profile: User;
  locationId: string;
  paginationEl: any;
  onChange(event: any): void;
  formatUSD(amount: any): string;
  openPayCalculatorModal(amount: any, jobId: any): Promise<void>;
  componentDidLoad(): Promise<void>;
  render(): any[];
}
